<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imadjust</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="section_66be415d912567cd351e37e73bc467f0.html">&lt;&lt; Image Enhancement and Restoration</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_66be415d912567cd351e37e73bc467f0.html">Image Enhancement and Restoration</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imdeconvl2.html">imdeconvl2 &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_66be415d912567cd351e37e73bc467f0.html">Image Enhancement and Restoration</a> &gt; imadjust</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imadjust</h1>
    <p class="refpurpose">Adjust the intensity of an image from given source histogram range to the destination histogram range</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">imout</span><span class="default"> = </span><span class="functionid">imadjust</span><span class="default">(</span><span class="default">imin</span><span class="default">,</span><span class="default">src</span><span class="default">,</span><span class="default">dest</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">imin :</span>
      <dd><p class="para">Source Image</p></dd></dt>
   <dt><span class="term">src :</span>
      <dd><p class="para">Source histogram range [min max]</p></dd></dt>
   <dt><span class="term">dest :</span>
      <dd><p class="para">destination histogram range [min max]</p></dd></dt>
   <dt><span class="term">imout :</span>
      <dd><p class="para">Destination Image</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function use to adjust the intensity of an image using histogram
range method. The new image would be map into the new range with given
min and max values</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">I</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/balloons_gray.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">J</span> <span class="scilaboperator">=</span> <span class="scilabid">imadjust</span><span class="scilabopenclose">(</span><span class="scilabid">I</span><span class="scilabdefault">,</span><span class="scilabopenclose">[</span><span class="scilabnumber">0</span> <span class="scilabnumber">0.5</span><span class="scilabopenclose">]</span><span class="scilabdefault">,</span><span class="scilabopenclose">[</span><span class="scilabnumber">0.5</span> <span class="scilabnumber">1</span><span class="scilabopenclose">]</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">I</span><span class="scilabopenclose">)</span>
<a class="scilabcommand" href="scilab://figure">figure</a><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span><span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">J</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imhistequal.html" class="link">imhistequal</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="section_66be415d912567cd351e37e73bc467f0.html">&lt;&lt; Image Enhancement and Restoration</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_66be415d912567cd351e37e73bc467f0.html">Image Enhancement and Restoration</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imdeconvl2.html">imdeconvl2 &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
